Subject: Re: [X2Go-Dev] Bug#612: x2goclient does not honor export from broker

From: Mike Gabriel <[email-masked]>
Date: Tue, 16 Sep 2014 14:17:20 +0000

Control: severity -1 important

Hi Alex,

On  Di 16 Sep 2014 09:57:42 CEST, MIng Song wrote:

> Package: x2goclient
> Version: 4.0.2.1
> Severity: major
>
> Hi,
>
> it seems x2goclient does not load export (local folder sharing) from
> broker. Direct connect with local session profile is ok.
>
> My x2gobroker_sessionprofiles.conf contains export directory and disable
> printing, however, when using x2goclient with broker, it still forwards
> spooling directory & does not mount exported directory.
>
> If i create a session profile in client workstation, and use x2goclient
> directly, printing can be disabled and local directory can be forwarded.
>
> Look at the source code, file onmainwindow.cpp, method exportDefaultDirs
> load X2goSettings directly without consult config.iniFile.
>
> I have attached here a patch that modifies exportDefaultDirs() to use
> config.iniFile incase x2goclient using broker mode. The patch works with
> x2goclient linux.
>
> I am not familiar with compiling x2goclient in Windows env, therefore I am
> unable to test with x2goclient in Windows.
>
> Any comments?
>
> Thank you very much for such a wonderful project.
>
> Regards,
> msongd.

For me the patch attached to this bug looks fine. Can you confirm this?

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb